### Property

# WebKit Settings:enable-java

deprecated: 2.38

#### Declaration

    property enable-java: gboolean [ read, write, construct ]

#### Description [src]

Determines whether or not Java is enabled on the page.

Type: | `gboolean`
Deprecated since: | 2.38
Please do not use it in newly written code.

Setter method | `webkit_settings_set_enable_java()`
Getter method | `webkit_settings_get_enable_java()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no